Package org.eclipse.net4j.protocol

# Class ProtocolVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.eclipse.net4j.protocol.ProtocolVersionException

All Implemented Interfaces:
  `Serializable`

public class ProtocolVersionException extends IllegalStateException
An exception that indicates mismatch between the versions of two protocol peer implementations.

Since:
  4.2
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProtocolVersionException()`
`ProtocolVersionException(String s)`
`ProtocolVersionException(String message, Throwable cause)`
`ProtocolVersionException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkVersion(IProtocol<?> protocol, int expectedVersion)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProtocolVersionException

public ProtocolVersionException()

### ProtocolVersionException

public ProtocolVersionException(String s)

### ProtocolVersionException

public ProtocolVersionException(Throwable cause)

### ProtocolVersionException

public ProtocolVersionException(String message, Throwable cause)

## Method Details

### checkVersion

public static void checkVersion(IProtocol<?> protocol, int expectedVersion) throws ProtocolVersionException

Throws:
  `ProtocolVersionException`